<template>
  <div
    v-if="user!=null"
    class="container container-with-menu"
  >
    <div class="row">
      <div class="col-xs-12">
        <h1><user-icon />Compte utilisateur</h1>
      </div>
      <hr>
    </div>
    <el-tabs type="border-card">
      <el-tab-pane label="Informations personnelles">
        <personnal-data />
      </el-tab-pane>
      <el-tab-pane label="Mot de passe">
        <profile-password />
      </el-tab-pane>
      <el-tab-pane
        v-if="!isBusiness && !isManager && !isAdmin"
        label="Permissions"
      >
        <permissions />
      </el-tab-pane>
      <el-tab-pane
        v-if="isBusiness || isManager"
        label="Personnalisation"
      >
        <customization />
      </el-tab-pane>
    </el-tabs>
  </div>
  <div
    v-else
  >
    Vous n'avez pas la permission requise pour afficher ces informations.
  </div>
</template>

<script>
import {mapGetters} from 'vuex'
import PersonnalData from "./PersonnalData/PersonnalData";
import ProfilePassword from "./Password/ProfilePassword";
import UserIcon from "../../../components/Icon/UserIcon";
import Permissions from "./Permissions/Permissions";
import Customization from "./Customization/Customization";

export default {
  name: "Profile",
  components: {Customization, Permissions, UserIcon, ProfilePassword, PersonnalData},
  computed: {
    ...mapGetters([
      'user',
      'isBusiness',
      'isManager',
      'isAdmin'
    ]),
  }
}
</script>

<style scoped>

</style>